Skip to content

Network Status ​

Check if a biller or product is experiencing service interruptions or intermittent downtime before initiating a payment.

TIP

For a step-by-step integration walkthrough, see the Network Status Guide.

API Endpoint ​

http
GET https://api.iimmpact.com/v2/networkstatus

Request Headers ​

HeaderDescriptionRequired
X-Api-KeyYour API keyYes
X-TimestampUnix timestamp in secondsYes
X-NonceUnique request identifierYes
X-SignatureHMAC-SHA256 signature (v1=...)Yes

See API Key Authentication for how to sign your requests.

Query Parameters ​

ParameterTypeRequiredDescription
productstringYesProduct code to check (e.g., TNB). Use a code from the Product Listing API

Response 200 ​

FieldTypeDescription
dataobjectNetwork status information
data.product_codestringProduct code
data.product_namestringProduct name
data.product_imgstringProduct image URL
data.network_statusstringStatus: Healthy or Interruption
metadataobjectResponse metadata
metadata.status_codenumberHTTP status code
metadata.last_updatedstringTimestamp (GMT+8)

Example Response (Healthy):

json
{
  "data": {
    "product_code": "TNB",
    "product_name": "Tenaga Nasional Berhad",
    "product_img": "https://dashboard.iimmpact.com/img/TNB.png",
    "network_status": "Healthy"
  },
  "metadata": {
    "status_code": 200,
    "last_updated": "19-05-2025 14:49:03"
  }
}

Example Response (Interruption):

json
{
  "data": {
    "product_code": "TNB",
    "product_name": "Tenaga Nasional Berhad",
    "product_img": "https://dashboard.iimmpact.com/img/TNB.png",
    "network_status": "Interruption"
  },
  "metadata": {
    "status_code": 200,
    "last_updated": "19-05-2025 14:49:03"
  }
}

Status Values ​

StatusMeaning
HealthyService is operating normally
InterruptionService is experiencing issues — transactions may be slow or fail

Staging test behavior

In the staging environment, product code FP always returns Interruption. Use this product code when testing interruption warning handling. This staging override does not apply in production.

WARNING

Users should still be able to proceed to checkout and pay even when the status is Interruption. Display a warning but do not block the payment flow.

Pine Labs API Documentation